> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get datasources



## OpenAPI

````yaml get /api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/DataSource
openapi: 3.0.1
info:
  title: Data Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/DataSource:
    get:
      tags:
        - DataSource
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: dataSetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ExtendedDataSourceMultipleResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedDataSourceMultipleResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ExtendedDataSourceMultipleResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    ExtendedDataSourceMultipleResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExtendedDataSource'
          nullable: true
        totalItemsCount:
          type: integer
          format: int32
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    ExtendedDataSource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        entityType:
          $ref: '#/components/schemas/EntityType'
        mappingCount:
          type: integer
          format: int32
        type:
          type: integer
          format: int32
        isStreaming:
          type: boolean
        isStreamingEnabled:
          type: boolean
        webhookName:
          type: string
          nullable: true
        lastUpload:
          $ref: '#/components/schemas/Upload'
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    EntityType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 11
        - 12
        - 13
        - 14
        - 17
        - 18
        - 19
      type: integer
      format: int32
    Upload:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/UploadStatus'
        processedLines:
          type: integer
          format: int32
        sizeBytes:
          type: integer
          format: int64
          nullable: true
        started:
          type: string
          format: date-time
        finished:
          type: string
          format: date-time
          nullable: true
        lastSyncedEntityDate:
          type: string
          format: date-time
          nullable: true
        resynchronize:
          type: boolean
      additionalProperties: false
    UploadStatus:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 6
        - 10
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````